package io.dcloud.feature.speech;

import io.dcloud.common.DHInterface.IEventCallback;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import java.util.HashMap;
import java.util.Locale;
import java.util.concurrent.ConcurrentHashMap;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class SpeechManager {
    private static SpeechManager mgr;
    private AbsSpeechEngine mSpeechEngine = null;
    private HashMap<String, ConcurrentHashMap<String, IWebview>> webCallBackIds = new HashMap<>();

    public static SpeechManager getInstance() {
        if (mgr == null) {
            synchronized (SpeechManager.class) {
                if (mgr == null) {
                    mgr = new SpeechManager();
                }
            }
        }
        return mgr;
    }

    private SpeechManager() {
    }

    /* JADX WARN: Removed duplicated region for block: B:22:0x0096 A[Catch: Exception -> 0x00af, IllegalAccessException -> 0x00e7, InstantiationException -> 0x00ec, TRY_LEAVE, TryCatch #1 {Exception -> 0x00af, blocks: (B:20:0x008a, B:22:0x0096), top: B:39:0x008a }] */
    /* JADX WARN: Removed duplicated region for block: B:45:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void execute(IWebview pWebViewImpl, String pActionName, String[] pJsArgs, HashMap<String, String> mSpeechMap) {
        String str;
        String str2;
        if ("startRecognize".equals(pActionName)) {
            String str3 = pJsArgs[0];
            JSONObject createJSONObject = JSONUtil.createJSONObject(pJsArgs[1]);
            JSONObject createJSONObject2 = JSONUtil.createJSONObject(pJsArgs[2]);
            String str4 = "ifly";
            String lowerCase = createJSONObject.optString(AbsoluteConst.JSON_KEY_ENGINE, "ifly").toLowerCase(Locale.ENGLISH);
            try {
                try {
                    stopRecognize(false);
                    try {
                        if (!mSpeechMap.containsKey(lowerCase)) {
                            if (!mSpeechMap.containsKey("ifly")) {
                                if (mSpeechMap.containsKey("baidu")) {
                                    str4 = "baidu";
                                } else {
                                    str = lowerCase;
                                    try {
                                        Deprecated_JSUtil.execCallback(pWebViewImpl, str3, "{code:'-1',message:'not found engine=" + lowerCase + "'}", JSUtil.ERROR, true, false);
                                        eventListener("error", "{code:'-1',message:'not found engine=" + str + "'}", JSUtil.ERROR, false);
                                    } catch (Exception unused) {
                                        Deprecated_JSUtil.execCallback(pWebViewImpl, str3, "{code:'-1',message:'not found engine=" + str + "'}", JSUtil.ERROR, true, false);
                                        eventListener("error", "{code:'-1',message:'not found engine=" + str + "'}", JSUtil.ERROR, false);
                                        return;
                                    }
                                }
                            }
                            str2 = mSpeechMap.get(str4);
                            if (PdrUtil.isEmpty(str2)) {
                                AbsSpeechEngine absSpeechEngine = (AbsSpeechEngine) Class.forName(str2).newInstance();
                                this.mSpeechEngine = absSpeechEngine;
                                absSpeechEngine.init(pWebViewImpl.getActivity(), pWebViewImpl);
                                this.mSpeechEngine.startRecognize(str3, createJSONObject, createJSONObject2);
                                return;
                            }
                            return;
                        }
                        str = lowerCase;
                        str2 = mSpeechMap.get(str4);
                        if (PdrUtil.isEmpty(str2)) {
                        }
                    } catch (Exception unused2) {
                        str = str4;
                        Deprecated_JSUtil.execCallback(pWebViewImpl, str3, "{code:'-1',message:'not found engine=" + str + "'}", JSUtil.ERROR, true, false);
                        eventListener("error", "{code:'-1',message:'not found engine=" + str + "'}", JSUtil.ERROR, false);
                        return;
                    }
                    str4 = str;
                } catch (Exception unused3) {
                    str = lowerCase;
                }
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            } catch (InstantiationException e2) {
                e2.printStackTrace();
            }
        } else if ("stopRecognize".equals(pActionName)) {
            stopRecognize(true);
        } else if ("addEventListener".equals(pActionName)) {
            addEventListener(pWebViewImpl, pJsArgs[0], pJsArgs[1]);
        }
    }

    public void stopRecognize(boolean isExeOnEnd) {
        AbsSpeechEngine absSpeechEngine = this.mSpeechEngine;
        if (absSpeechEngine != null) {
            absSpeechEngine.stopRecognize(isExeOnEnd);
            this.mSpeechEngine = null;
        }
    }

    private void addEventListener(IWebview pwebview, String action, String callbackId) {
        ConcurrentHashMap<String, IWebview> concurrentHashMap = this.webCallBackIds.get(action);
        if (concurrentHashMap == null) {
            concurrentHashMap = new ConcurrentHashMap<>();
        }
        concurrentHashMap.put(callbackId, pwebview);
        this.webCallBackIds.put(action, concurrentHashMap);
        addWindowCloseListener(pwebview);
    }

    private void addWindowCloseListener(IWebview pWebview) {
        ((AdaFrameView) pWebview.obtainFrameView()).addFrameViewListener(new IEventCallback() { // from class: io.dcloud.feature.speech.SpeechManager.1
            @Override // io.dcloud.common.DHInterface.IEventCallback
            public Object onCallBack(String pEventType, Object pArgs) {
                if ((PdrUtil.isEquals(pEventType, AbsoluteConst.EVENTS_WINDOW_CLOSE) || PdrUtil.isEquals(pEventType, AbsoluteConst.EVENTS_CLOSE)) && (pArgs instanceof IWebview)) {
                    IWebview iWebview = (IWebview) pArgs;
                    SpeechManager.this.removeWebviewCallback(iWebview);
                    ((AdaFrameView) iWebview.obtainFrameView()).removeFrameViewListener(this);
                    return null;
                }
                return null;
            }
        });
    }

    public void removeWebviewCallback(IWebview pWebview) {
        HashMap<String, ConcurrentHashMap<String, IWebview>> hashMap = this.webCallBackIds;
        if (hashMap != null) {
            for (String str : hashMap.keySet()) {
                for (String str2 : this.webCallBackIds.get(str).keySet()) {
                    if (this.webCallBackIds.get(str).get(str2) == pWebview) {
                        this.webCallBackIds.get(str).remove(str2);
                    }
                }
            }
        }
    }

    public void eventListener(String action, String msg, int status, boolean keepCallback) {
        HashMap<String, ConcurrentHashMap<String, IWebview>> hashMap = this.webCallBackIds;
        if (hashMap == null || !hashMap.containsKey(action) || this.webCallBackIds.get(action) == null) {
            return;
        }
        for (String str : this.webCallBackIds.get(action).keySet()) {
            IWebview iWebview = this.webCallBackIds.get(action).get(str);
            if (!((AdaFrameItem) iWebview).isDisposed()) {
                Deprecated_JSUtil.execCallback(iWebview, str, msg, status, true, keepCallback);
            }
        }
    }
}
